## SnapdSlotRef SnapdSlotRef — Reference to a slot |

## Functions

const gchar * | snapd_slot_ref_get_slot ()
const gchar * | snapd_slot_ref_get_snap ()

## Properties

char * | slot | Read / Write / Construct Only
char * | snap | Read / Write / Construct Only

## Types and Values

| SnapdSlotRef

## Object Hierarchy

        GObject
        ╰── SnapdSlotRef

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdSlotRef contains a reference to a slot.

## Functions

### snapd_slot_ref_get_slot ()

    const gchar *
    snapd_slot_ref_get_slot (SnapdSlotRef *slot_ref);

Get the name of the slot.

#### Parameters

slot_ref | a SnapdSlotRef. |

#### Returns

a name.

Since: 1.48

### snapd_slot_ref_get_snap ()

    const gchar *
    snapd_slot_ref_get_snap (SnapdSlotRef *slot_ref);

Get the snap this slot is on.

#### Parameters

slot_ref | a SnapdSlotRef. |

#### Returns

a snap name.

Since: 1.48

## Types and Values

### SnapdSlotRef

    typedef struct _SnapdSlotRef SnapdSlotRef;

SnapdSlotRef contains the state of Snap a interface slot_ref.

Since: 1.0

## Property Details

### The `“slot”` property

      “slot”                     char *

Name of slot.

Owner: SnapdSlotRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“snap”` property

      “snap”                     char *

Snap this slot is on.

Owner: SnapdSlotRef

Flags: Read / Write / Construct Only

Default value: NULL